System.Web 2.0.0.0 System.Web.UI.StateManagedCollection

The class is used to store and manage a collection of objects. The property, of type , stores the node styles for the individual levels of a tree.

The property is an alternative to the individual style properties, such as the property, that control node styles at different levels of the tree. The first style in the collection corresponds to the node style in the first level of the tree. The second style in the collection corresponds to the node style in the second level of the tree, and so on. The property is most often used to generate table of contents–style navigation menus where nodes at a certain level should have the same appearance, regardless of whether they have child nodes.

The class inherits most of its members from the class. For more information about the inherited members, see .

Represents a collection of objects that is in a control.

- Method
  System.Int32 ``

  Use the method to append the specified object to the end of the object.

  The allows you to add null, as well as duplicate objects.

  Appends the specified object to the end of the object.

  The position into which the new was inserted.

  The to append. 2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether a object is contained in the object. The method is commonly used to test for the existence of a object before performing a task, such as adding or removing the node from the collection.

  Determines whether the specified object is in the collection.

  true, if the specified object is contained in the collection; otherwise, false.

  The to find. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Use the method to copy the contents of the object into the specified zero-based array of objects. Items are copied starting at the specified index of the target array. You can then use the array to access the items in the collection.

  Copies all the items from the object to a compatible one-dimensional array of objects, starting at the specified index in the target array.

  The position in the target array at which to start receiving the copied content. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Type[] To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 ``

  Use the method to determine the zero-based index of the specified object in the object. If the node is not in the collection, the method returns -1.

  If the specified object appears multiple times in the collection, the index of the first occurrence is returned.

  Determines the index of the specified object in the collection.

  The zero-based index of the first occurrence of within the , if found; otherwise, -1.

  The to locate. 2.0.0.0
- Method
  System.Void `` ``

  Use the method to insert the specified object into the object at the specified zero-based index.

  As an alternative, you can append a object to the end of the by using the method.

  Inserts the specified object into the object at the specified index location.

  The zero-based index location at which to insert the . The to insert. 2.0.0.0
- Property
  System.Web.UI.WebControls.TreeNodeStyle `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  Use the method to remove the specified object from the collection. The indexes of the remaining objects are updated to be consecutive.

  As an alternative, you can remove a node at specific index by using the method. You can also remove every node in the collection by using the method.

  Removes the specified object from the object.

  The to remove. 2.0.0.0
- Method
  System.Void ``

  Use the method to remove the object at the specified zero-based index location from a object. All the items that are located after the removed node are then moved up one level to fill the vacant position in the tree structure. The indexes of the moved items are also updated.

  As an alternative, you can remove a specific object by using the method. You can also remove every node in the collection by using the method.

  Removes the object at the specified index location from the object.

  The zero-based index location of the to remove. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0